/// Creates a toggle button without JS
.toggler {
  opacity: 0;
  position: absolute;

  & ~ .toggled {
    z-index: 1;
  }

  & ~ label {
    .toggled-rotate {
      transform-origin: center;
    }
  }

  & ~ .toggled.grow-vertically {
    height: auto !important;
    overflow-y: hidden;
  }

  &:not(:checked) {
    & ~ label {
      .toggled-rotate {
        transform: rotate(0deg);
      }
    }

    & ~ .toggled {
      visibility: hidden;

      .grow-horizontally {
        width: 0 !important;
        padding-left: 0 !important;
        padding-right: 0 !important;
        overflow-x: hidden;
      }

      &.grow-vertically {
        max-height: 0;
        transition: max-height 0.3s cubic-bezier(0,1,0,1) !important;
      }
    }
  }

  &:checked {
    & ~ label {
      .toggled-rotate {
        transform: rotate(90deg);
      }
    }

    & ~ .toggled {
      visibility: inherit;
      z-index: 1;

      &.grow-vertically {
        max-height: 9999px;
        transition: max-height 0.3s cubic-bezier(1,0,1,0) !important;
      }
    }
  }

  & + label {
    border: none;
    outline: none;
  }

  &:focus + label {
    outline: 1px dotted grey ;
  }
}

@each $breakpoint in map-keys($grid-breakpoints) {
  @include media-breakpoint-up($breakpoint) {
    $infix: breakpoint-infix($breakpoint, $grid-breakpoints);

    .toggler {
      & ~ .untoggled#{$infix} {
        visibility: visible !important;

        &.grow-vertically {
          max-height: 9999px !important;
          transition: max-height 0.3s cubic-bezier(1,0,1,0) !important;
        }
      }
    }
  }
}
